Subject: Re: bug#48072: 28.0.50: dired-read-shell-command: handle empty input properly [PATCH]

From: Boruch Baum <[email-masked]>
Date: Wed, 28 Apr 2021 08:49:52 -0400

On 2021-04-28 14:58, Eli Zaretskii wrote:
> > Date: Wed, 28 Apr 2021 05:50:54 -0400
> > From: Boruch Baum <[email-masked]>
> > Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> >
> > I could restrict the check to the preparation of list of completion
> > candidates for the defaults put into the mini-buffer history (already
> > done in diredc, as an advice around function dired-guess-default), and
> > give dired users feedback when a command returns an error condition (on
> > this week's plan anyway).
>
> I'm not sure I understand what you are suggesting.  Do you mean set up
> the completion candidates so that they would only include executable
> files found on the system, but allow users also to type commands that
> are not among the completion candidates?  I think this could be
> confusing, and I don't think we have a precedent for such a behavior
> elsewhere.

I don't understand what your point of confusion is, but it's your call,
of course. Your position has emacs offering users impossible choices,
choices guaranteed to fail.

--
hkp://keys.gnupg.net
CA45 09B5 5351 7C11 A9D1  7286 0036 9E45 1595 8BC0